
Tripnet - Improvement #42404
Hotel result page | giata issue
06/29/2018 08:32 am - Keerthi K V

Status: Closed Start date: 07/03/2018
Priority: Normal Due date: 07/06/2018
Assignee: % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 32.70 hours
End_Date: 07/06/2018 Areas Affected:
remarks: Files Changed:
DB Changes: Initial Planned Hours:
Keys & Permissions:
Description

Please fix the following issue:
1.In hotel arabic result page, location details in arabic is shown empty..if arabic location details field is empty then show it from english
location details

2. in arabic result page description and facilities are taken from cdn path..in this case if we have arabic description and facilities show
the corresponding data or else show the english description and facilities..take data from cdn if we have no datas available in db

3.In arabic room details page, both cdn data and arabic description and facilities are shown together..remove the cdn data

Related issues:
Related to Bug # 42997: Hotel | amenity showing issue Closed 07/09/2018 07/09/2018
Related to Bug # 43050: Miki | facility showing issue Closed 07/09/2018 07/12/2018

History
#1 - 06/29/2018 01:22 pm - Sreerag Prasannan
- Tracker changed from Bug to Improvement

#2 - 06/29/2018 04:18 pm - Keerthi K V
- File Screenshot from 2018-06-29 18-48-02.png added
- File Screenshot from 2018-06-29 18-47-53.png added
- File Screenshot from 2018-06-29 18-47-25.png added
- File Screenshot from 2018-06-29 18-47-22.png added
- File Screenshot from 2018-06-29 18-47-18.png added
- File Screenshot from 2018-06-29 18-47-15.png added
- File Screenshot from 2018-06-29 18-47-11.png added
- File Screenshot from 2018-06-29 18-47-08.png added
- Description updated

#3 - 07/02/2018 08:59 am - Vipin das
- Due date set to 07/02/2018
- Status changed from New to Assigned
- Assignee set to Nithin George
- Start date changed from 06/29/2018 to 07/02/2018

#4 - 07/02/2018 05:42 pm - Vipin das
- Due date changed from 07/02/2018 to 07/03/2018
- Start date changed from 07/02/2018 to 07/03/2018
#5 - 07/03/2018 11:48 am - Nithin George
- Status changed from Assigned to In Progress

#6 - 07/03/2018 04:59 pm - Nithin George

Checked in solution.

#7 - 07/04/2018 04:52 pm - Nithin George
- % Done changed from 0 to 20

Need to update the Utility and other common base functions

#8 - 07/05/2018 04:52 pm - Vipin das
- Due date changed from 07/03/2018 to 07/05/2018

#9 - 07/05/2018 04:54 pm - Nithin George

Checked in solution. updating the Utility function

#10 - 07/06/2018 11:45 am - Vipin das
- Due date changed from 07/05/2018 to 07/06/2018

#11 - 07/06/2018 04:22 pm - Nithin George
- Status changed from In Progress to Fixed not Tested
- % Done changed from 20 to 100
- End_Date set to 07/06/2018

Issue fixed

#12 - 07/07/2018 10:25 am - Keerthi K V
- File Screenshot from 2018-07-07 11-52-19.png added
- File Screenshot from 2018-07-07 11-52-07.png added
- File Screenshot from 2018-07-07 11-51-55.png added
- File Screenshot from 2018-07-07 11-51-53.png added
- Status changed from Fixed not Tested to Not Fixed

1.For gta, facilities are not showing in result page facility pop up even if we have english and arabic facilities in db..then once if we go to room details
page facilities are showing in both english and arabic..then if use back to results from room details page for that particular hotel, english facilities are
shown both in english anda rabic site
2.For hotel beds apitude, english facilities are shown in both result page and room details page..even if we have arabic facilities in db

#13 - 07/08/2018 04:40 am - Nithin George
- Status changed from Not Fixed to Fixed not Tested
gta  issue : not an issue 
facility Information is taken from the provider side on the details page and is updated to selected hotel session 
while return to the previous page the updated hotel detail will be shown 
we can't send facility information request on the result page as it causes performance issues

hotel beds apitude issue : not an issue 
we have requesting for paid facility information from hotel beds apitude in the result page
The provider will give only English facility response with paid facility information and  points of interest information
We are updating our DB facility information with provider response 
(refer http://redmine.caxita.ca/issues/40686)

#14 - 07/09/2018 09:46 am - Vipin das
- Parent task deleted (#42403)

#15 - 07/10/2018 07:06 am - Keerthi K V
- Status changed from Fixed not Tested to Closed
- Assignee deleted (Nithin George)

will be posting a feature regarding this bug after the live release
